Subject: Re: [PATCH net-next v3 11/15] net: stmmac: add helper to get hardware transmit descriptor

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 13 Mar 2026 12:12:41 +0000

On Fri, Mar 13, 2026 at 09:51:53AM +0000, Russell King (Oracle) wrote:
> Provide a helper to get the hardware transmit descriptor that takes
> account of whether extended format and TBS are being used, returning
> the base struct dma_desc pointer. This avoids multiple instances where
> these tests are open coded.
> 
> Signed-off-by: Russell King (Oracle) <[email-masked]>

Damn it, I merged the fix for the AI review on this patch into patch
13 rather than this patch. :/

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!